write_sg(1cad)

NAME
write_sg    - write a state graph from a Petri net (or a Signal Transition Graph)

SYNOPSIS
write_sg [options]* [infile]

DESCRIPTION
write_sg is a tool that writes a state graph from a description is the astg format used by petrify.

OPTIONS

-h  Help mode, prints the usage.

-v  Print version only.

-sis
    Write the events in SIS compatible style (toggle events are written with the suffix ~).

-huge
    Allow to dump state graphs with more than 100 states.

-bin
    Dump state coding information. Each state name contains a suffix with the encoding of the binary signals and information about state encoding conflicts. This option can be combined with the option -bin of draw_astg to show binary encoding and CSC conflicts.

-o outfile
    Write the output to outfile. Otherwise, the result is written to stdout.

BUGS
What are you talking about ?

AUTHOR
Jordi Cortadella
Department of Software
Universitat Politecnica de Catalunya
Barcelona, Spain
(jordic@lsi.upc.es)

STATUS
Use at your own risk. Bug reports are welcomed, as well as success stories.